.splitter-card {
  display: flex;
  height: fit-content;
  max-height: 600px;
  width: 700px;
  margin-top: 3rem;
  overflow: hidden;
  border-radius: 1rem;
  background-color: white;

  @media screen and (max-width: 900px) {
    flex-direction: column;
    width: auto;
    margin: 1rem;
  }

  .right-section {
    flex: 1;
    display: flex;
    margin: 1rem;
    flex-direction: column;
    padding: 2rem;
    justify-content: space-between;
    border-radius: 1rem;
    background-color: hsl(183, 100%, 15%);

    .results {
      display: flex;
      flex: 1;
      justify-content: space-between;

      .text {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        color: white;
        font-size: 1rem;
        .hint {
          color: rgb(168, 168, 168);
          font-size: 0.75rem;
        }
      }

      .price {
        font-size: 2rem;
        font-weight: 600;
        color: hsl(172, 67%, 45%);
      }
    }
    .reset {
      padding: 0.75rem;
      border-radius: 0.25rem;
      border: none;
      color: hsl(183, 100%, 15%);
      font-weight: 600;
      background-color: hsl(172, 67%, 45%);
    }
  }

  .left-section {
    display: flex;
    flex: 1;
    gap: 2rem;
    padding: 2rem;
    box-sizing: border-box;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1;

    @media screen and (max-width: 900px) {
      gap: 1rem;
      padding: 1rem;
    }
    .input-field {
      display: flex;
      flex: 1;
      width: 100%;
      gap: 0.5rem;
      flex-direction: column;

      .label {
        color: hsl(186, 14%, 43%);
        font-weight: 600;
        letter-spacing: 1.25px;
      }
      .input-group {
        display: flex;
        align-items: center;
        justify-content: space-between;
        background-color: hsl(189, 41%, 97%);
        border-radius: 0.5rem;

        input {
          outline: none;
          border: none;
          padding: 0.75rem;
          text-align: end;
          background-color: hsl(189, 41%, 97%);
          font-size: 1rem;
        }
        .input-image {
          margin-left: 1rem;
        }
      }
      .error {
        font-size: 0.75rem;
        color: red;
      }
    }
    .tip-options {
      display: flex;
      width: 100%;
      gap: 1rem;
      flex: 1;
      flex-direction: column;
      .label {
        color: hsl(186, 14%, 43%);
        font-weight: 600;
        letter-spacing: 1.25px;
      }
      .options {
        display: grid;
        grid-template-columns: auto auto auto;
        column-gap: 1rem;
        row-gap: 1rem;
        .buttons {
          background-color: hsl(183, 100%, 15%);
          padding: 0.5rem;
          font-size: 1rem;
          font-weight: 600;
          color: white;
          text-align: center;
          border-radius: 0.5rem;

          &:hover {
            cursor: pointer;
            background-color: hsl(172, 67%, 45%);
            color: hsl(183, 100%, 15%);
          }
        }
      }
    }
  }
}

p {
  margin: 0;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
